
Foreman - Bug #4371

RBAC UI - verbs used should match hammer

02/17/2014 11:00 PM - Thomas McKay

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1103864 Red Hat JIRA:  

Pull request:    

Description

hammer architecture show

hammer architecture list

etc.

Same terminology should be used in UI for RBAC

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

History

#1 - 02/17/2014 11:01 PM - Thomas McKay

Probably handled through translation? _('view_architectures') -> "Architectures List"

#2 - 03/03/2014 01:24 PM - Anonymous

- Target version set to 1.9.0

#3 - 03/05/2014 11:04 AM - Dominic Cleal

- Blocked by Tracker #4552: New permissions/authorization system issues added

#4 - 03/05/2014 11:04 AM - Dominic Cleal

- Blocked by deleted (Tracker #4552: New permissions/authorization system issues)

#5 - 03/05/2014 11:05 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#6 - 03/26/2014 01:31 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#7 - 03/26/2014 07:05 PM - Daniel Lobato Garcia

- Target version deleted (1.8.4)

Foreman has been using view, create, index, etc.. for a long time.

I would leave as it is right now, I don't think its a problem at all, but if anything should change, I'd argue it's Hammer that should change the verbs to

conform to Foreman permissions.

#8 - 03/26/2014 07:06 PM - Daniel Lobato Garcia

- Target version set to 1.8.4

#9 - 04/24/2014 12:08 PM - Anonymous

- Target version deleted (1.8.4)
#10 - 06/02/2014 06:54 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103864

#11 - 02/08/2016 05:45 AM - Marek Hulán

I'd propose closing this issue. I've never heard anyone complaining about this. If no one objects, I'll close it in few days. Just for the record I agree

with Daniel that it's hammer that should change terminology if some change is needed.

#12 - 02/16/2016 09:56 AM - Marek Hulán

- Status changed from New to Rejected

No one objects, rejecting. Feel free to reopen if you disagree.
